package hdl

import (
	"applet/app/e"
	"applet/app/lib/validate"
	"applet/app/md"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// OriginalDataList
// @Summary    	 原始数据-列表
// @Tags         数据中心
// @Description  数据中心-原始数据-列表
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.DataCenterOriginalDataReq   true   "请求参数"
// @Success      200   {object}	  md.DataCenterOriginalDataRes     "具体看返回内容 这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/dataCenter/original/data/list [POST]
func OriginalDataList(c *gin.Context) {
	var req md.DataCenterOriginalDataReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	res := svc.DataCenterOriginalDataList(c, req)
	e.OutSuc(c, res, nil)
	return
}
