package md

type GetComponentAccessToken struct {
	ComponentAccessToken string `json:"component_access_token" example:"第三方平台 access_token"`
	ExpiresIn            int    `json:"expires_in"  example:"有效期，单位：秒"`
}

type GetPreAuthCode struct {
	PreAuthCode string `json:"pre_auth_code" example:"预授权码"`
	ExpiresIn   int    `json:"expires_in"  example:"有效期，单位：秒"`
}

type GetAuthorizerAccessTokenByAuthCode struct {
	AuthorizationInfo struct {
		AuthorizerAppid        string `json:"authorizer_appid" example:"授权方 appid"`
		AuthorizerAccessToken  string `json:"authorizer_access_token" example:"接口调用令牌"`
		ExpiresIn              int    `json:"expires_in" example:"authorizer_access_token 的有效期（在授权的公众号/小程序具备API权限时，才有此返回值），单位：秒"`
		AuthorizerRefreshToken string `json:"authorizer_refresh_token" example:"刷新令牌（在授权的公众号具备API权限时，才有此返回值），刷新令牌主要用于第三方平台获取和刷新已授权用户的 authorizer_access_token。一旦丢失，只能让用户重新授权，才能再次拿到新的刷新令牌。用户重新授权后，之前的刷新令牌会失效"`
	} `json:"authorization_info" example:"预授权码"`
}
