package md

type DataCenterGenerateDataReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	Name      string `json:"name"`
	State     string `json:"state"`
	Platform  string `json:"platform"`
	StartTime string `json:"start_time"`
	EndTime   string `json:"end_time"`
}

type DataCenterGenerateDataRes struct {
	List     []DataCenterGenerateDataData `json:"list"  `
	Total    int64                        `json:"total"`
	State    []SelectData                 `json:"state"`
	Platform []SelectData                 `json:"platform"`
}

type DataCenterGenerateDataData struct {
	Id                       string `json:"id" example:"id"`
	Date                     string `json:"date"  example:"日期"`
	Name                     string `json:"name" example:"名称"`
	Platform                 string `json:"platform" example:"平台名称"`
	AdvName                  string `json:"adv_name" example:"广告位"`
	State                    string `json:"state" example:"状态id"`
	OldExposureCount         string `json:"old_exposure_count" example:"原-曝光量"`
	OldClickCount            string `json:"old_click_count" example:"原-点击量"`
	OldClickRate             string `json:"old_click_rate" example:"原-点击率"`
	OldEcpm                  string `json:"old_ecpm" example:"'原-ecpm(元)"`
	ExposureCount            string `json:"exposure_count" example:"现-曝光量"`
	ClickCount               string `json:"click_count" example:"现-点击量"`
	ClickRate                string `json:"click_rate" example:"现-点击率"`
	Ecpm                     string `json:"ecpm" example:"'现-ecpm(元)"`
	PlatformRetention        string `json:"platform_retention" example:"平台留存(元)"`
	CommissionRetention      string `json:"commission_retention" example:"佣金留存(元)"`
	PriceAdjustmentRetention string `json:"price_adjustment_retention" example:"调价留存(元)"`
	MediaRevenue             string `json:"media_revenue" example:"媒体收益(元)"`
	AgentRevenue             string `json:"agent_revenue" example:"代理收益(元)"`
	ExtraRevenue             string `json:"extra_revenue" example:"额外收益(元)"`
	AgreementSharing         string `json:"agreement_sharing" example:"协议分成(元)"`
	AgreementSharingTotal    string `json:"agreement_sharing_total" example:"协议总分成(元)"`
	IsGenerateReport         string `json:"is_generate_report" example:"是否已生成报表(0:未 1:已)"`
}

type DataCenterIncomeDataRes struct {
	List     []DataCenterIncomeDataData `json:"list"  `
	Total    int64                      `json:"total"`
	State    []SelectData               `json:"state"`
	Platform []SelectData               `json:"platform"`
}

type DataCenterIncomeDataData struct {
	Id               string `json:"id" example:"id"`
	Date             string `json:"date"  example:"日期"`
	Name             string `json:"name" example:"名称"`
	Platform         string `json:"platform" example:"平台名称"`
	AdvName          string `json:"adv_name" example:"广告位"`
	State            string `json:"state" example:"状态id"`
	ExposureCount    string `json:"exposure_count" example:"现-曝光量"`
	ClickCount       string `json:"click_count" example:"现-点击量"`
	ClickRate        string `json:"click_rate" example:"现-点击率"`
	Ecpm             string `json:"ecpm" example:"'现-ecpm(元)"`
	MediaRevenue     string `json:"media_revenue" example:"媒体收益(元)"`
	AgreementSharing string `json:"agreement_sharing" example:"平台收益(元)"`
	AgentRevenue     string `json:"agent_revenue" example:"代理收益(元)"`
	SettleAmount     string `json:"settle_amount" example:"结算收益(元)"`
}
type DataCenterIncomeDataDetail struct {
	Platform             string                                          `json:"platform" example:"填充来源"`
	MediaRevenue         string                                          `json:"media_revenue" example:"媒体收益(元)"`
	MediaRevenueRate     string                                          `json:"media_revenue_rate" example:"媒体收益百分比"`
	AgreementSharingRate string                                          `json:"agreement_sharing_rate" example:"平台收益百分比"`
	AgreementSharing     string                                          `json:"agreement_sharing" example:"平台收益(元)"`
	AgentRevenue         string                                          `json:"agent_revenue" example:"代理收益(元)"`
	AgentRevenueRate     string                                          `json:"agent_revenue_rate" example:"代理收益百分比"`
	DataSource           string                                          `json:"data_source" example:"数据来源"`
	MediumName           string                                          `json:"medium_name" example:"媒体名称"`
	CreateAt             string                                          `json:"create_at"`
	UpdateAt             string                                          `json:"update_at"`
	AgentReward          []DataCenterGenerateDataDetailAgentRewardSecond `json:"agent_reward"`
}
type DataCenterGenerateDataCommReq struct {
	Id string `json:"id" example:"列表id"`
}

type DataCenterGenerateDataDetailData struct {
	PlatformRetentionRate   string                                    `json:"platform_retention_rate" example:"平台留存百分比"`
	CommissionRetentionRate string                                    `json:"commission_retention_rate" example:"佣金留存百分比"`
	MediaRevenueRate        string                                    `json:"media_revenue_rate" example:"媒体收益百分比"`
	AgentRevenueRate        string                                    `json:"agent_revenue_rate" example:"代理收益百分比"`
	ExtraRevenueRate        string                                    `json:"extra_revenue_rate" example:"额外收益百分比"`
	AgreementSharingRate    string                                    `json:"agreement_sharing_rate" example:"协议分成百分比"`
	CreateAt                string                                    `json:"create_at" `
	UpdateAt                string                                    `json:"update_at" `
	AgentReward             []DataCenterGenerateDataDetailAgentReward `json:"agent_reward"`
}
type DataCenterGenerateDataDetailAgentReward struct {
	Name             string `json:"name"`
	Account          string `json:"account"`
	AgentRevenue     string `json:"agent_revenue" example:"代理收益(元)"`
	AgentRevenueRate string `json:"agent_revenue_rate" example:"代理收益百分比"`
	ExtraRevenue     string `json:"extra_revenue" example:"额外收益(元)"`
	ExtraRevenueRate string `json:"extra_revenue_rate" example:"'额外收益百分比"`
}
type DataCenterGenerateDataDetailAgentRewardSecond struct {
	Name             string `json:"name"`
	Account          string `json:"account"`
	AgentRevenue     string `json:"agent_revenue" example:"代理收益(元)"`
	AgentRevenueRate string `json:"agent_revenue_rate" example:"代理收益百分比"`
}
