package md

var AdState = []SelectData{
	{Name: "审核通过", Value: "1"},
	{Name: "待审核", Value: "0"},
	{Name: "审核拒绝", Value: "2"},
	{Name: "封禁中", Value: "3"},
}

var AdPlatform = []SelectData{
	{Name: "微信小程序", Value: "wx_applet"},
}

type DataCenterOriginalDataReq struct {
	Limit     string `json:"limit"`
	Page      string `json:"page" `
	Name      string `json:"name"`
	State     string `json:"state"`
	Platform  string `json:"platform"`
	StartTime string `json:"start_time"`
	EndTime   string `json:"end_time"`
}

type DataCenterOriginalDataRes struct {
	List     []DataCenterOriginalDataData `json:"list"  `
	Total    int64                        `json:"total"`
	State    []SelectData                 `json:"state"`
	Platform []SelectData                 `json:"platform"`
}

type DataCenterOriginalDataData struct {
	Id              string `json:"id" example:"id"`
	Date            string `json:"date"  example:"日期"`
	Name            string `json:"name" example:"名称"`
	Platform        string `json:"platform" example:"平台名称"`
	AdvName         string `json:"adv_name" example:"广告位"`
	State           string `json:"state" example:"状态id"`
	ReqSuccCount    string `json:"req_succ_count" example:"拉取量"`
	ExposureCount   string `json:"exposure_count" example:"曝光量"`
	ExposureRate    string `json:"exposure_rate" example:"曝光率"`
	ClickCount      string `json:"click_count" example:"点击量"`
	ClickRate       string `json:"click_rate" example:"点击率"`
	PublisherIncome string `json:"publisher_income" example:"总收益(元)"`
	Ecpm            string `json:"ecpm" example:"'ecpm(元)"`
	IsApply         string `json:"is_apply" example:"是否已应用"`
}

type DataCenterOriginalDataCommReq struct {
	Id string `json:"id" example:"列表id"`
}
type DataCenterDataCenterOriginalDataDoingReq struct {
	Id               string `json:"id" example:"列表id"`
	NowExposureCount string `json:"now_exposure_count" example:"现-曝光量"`
	NowEcpm          string `json:"now_ecpm" example:"现-广告千次曝光收益(元)"`
}
type DataCenterOriginalDataMoreApplicationReq struct {
	Limit string `json:"limit"`
	Page  string `json:"page" `
	Name  string `json:"name"`
}

type DataCenterOriginalDataMoreApplicationRes struct {
	List  []DataCenterOriginalDataMoreApplicationData `json:"list"  `
	Total int64                                       `json:"total"`
	State []SelectData                                `json:"state"`
}

type DataCenterOriginalDataMoreApplicationData struct {
	Id      string `json:"id" example:"id"`
	AppId   string `json:"app_id" example:"小程序id"`
	AdId    string `json:"ad_id" example:"广告位id"`
	Logo    string `json:"logo"`
	Name    string `json:"name" example:"名称"`
	AdvName string `json:"adv_name" example:"广告位"`
	State   string `json:"state" example:"状态id"`
}
type DataCenterOriginalDataOneApplicationRes struct {
	List []DataCenterOriginalDataOneApplicationData `json:"list"  `
}
type DataCenterOriginalDataOneApplicationData struct {
	Id    string `json:"id" example:"id"`
	AppId string `json:"app_id" example:"小程序id"`
	Logo  string `json:"logo"`
	Name  string `json:"name" example:"名称"`
}
type DataCenterOriginalDataOneApplicationAdListReq struct {
	AppId string `json:"app_id"`
}
type DataCenterOriginalDataOneApplicationAdListRes struct {
	List  []DataCenterOriginalDataOneApplicationAdListData `json:"list"  `
	State []SelectData                                     `json:"state"`
}
type DataCenterOriginalDataOneApplicationAdListData struct {
	Id    string `json:"id" example:"id"`
	Name  string `json:"name" example:"名称"`
	AdId  string `json:"ad_id" example:"广告位id"`
	State string `json:"state" example:"状态id"`
}
type DataCenterOriginalDataMoreApplicationDoingReq struct {
	Ids  []DataCenterOriginalDataOneApplicationDoingReqData `json:"ids"`
	Date string                                             `json:"date" example:"2024-08-28"`
}
type DataCenterOriginalDataOneApplicationDoingReqData struct {
	AppId string `json:"app_id"`
	AdId  string `json:"ad_id"`
}
type DataCenterOriginalDataOneApplicationDoingReq struct {
	AppId string `json:"app_id"`
	AdId  string `json:"ad_id"`
	Date  string `json:"date" example:"2024-08-28"`
}
type DataCenterOriginalDataOneApplicationDoingRes struct {
	AdId            string `json:"ad_id"`
	AdSlot          string `json:"ad_slot" example:"广告位类型名称"`
	ExposureCount   string `json:"exposure_count" example:"曝光量"`
	ReqSuccCount    string `json:"req_succ_count" example:"拉取量"`
	PublisherIncome string `json:"publisher_income" example:"总收益(元)"`
	ClickCount      string `json:"click_count" example:"点击量"`
	Ecpm            string `json:"ecpm" example:"ecpm(元)"`
	ExposureRate    string `json:"exposure_rate" example:"曝光率"`
	ClickRate       string `json:"click_rate" example:"点击率"`
}
type MediumDivisionStrategy struct {
	PlatformRetentionRate   string `json:"platform_retention_rate" example:"平台留存百分比"`
	CommissionRetentionRate string `json:"commission_retention_rate" example:"佣金留存百分比"`
	MediaRevenueRate        string `json:"media_revenue_rate" example:"媒体收益百分比"`
	AgentRevenueRate        string `json:"agent_revenue_rate" example:"代理收益百分比"`
	ExtraRevenueRate        string `json:"extra_revenue_rate" example:"额外收益百分比"`
	AgreementSharingRate    string `json:"agreement_sharing_rate" example:"协议分成百分比"`
	ExposureCount           string `json:"exposure_count" example:"曝光量"`
	OldEcpm                 string `json:"old_ecpm" example:"原-ecpm(元)"`
	Ecpm                    string `json:"ecpm" example:"现-ecpm(元)"`
}
