package md

import (
	"code.fnuoos.com/zhimeng/model.git/src/super/model"
)

type SmsListReq struct {
	Limit int    `json:"limit"`
	Page  int    `json:"page" `
	Name  string `json:"name" example:"站长名称"`
	Uuid  string `json:"uuid" example:"站长ID"`
}

type SmsListResp struct {
	List  []SmsList `json:"list"  `
	Total int64     `json:"total"`
}

type SmsList struct {
	Uuid string `json:"uuid" example:"站长ID"`
	Name string `json:"name" example:"站长名称"`
	Num  int64  `json:"num"` //短信条数
}

type SmsDetailReq struct {
	Limit int    `json:"limit"`
	Page  int    `json:"page" `
	Uuid  string `json:"uuid" example:"站长ID"`
}

type SmsDetailResp struct {
	List  []SmsDetail `json:"list"  `
	Total int64       `json:"total"`
}

type SmsDetail struct {
	Id       int    `json:"id"`
	Phone    string `json:"phone" example:"接收号码"`
	StateZh  string `json:"state_zh" example:"发送状态"`
	CreateAt string `json:"create_at" example:"创建时间"`
}

type SmsUpdateReq struct {
	Num  int    `json:"num"` //短信条数
	Uuid string `json:"uuid" example:"站长ID"`
}

type MasterWithSmsNumList struct {
	model.UserList
	model.SmsNumList
}

func (MasterWithSmsNumList) TableName() string {
	return "user_list"
}
