// Code generated by swaggo/swag. DO NOT EDIT.

package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/comm/basicGet": {
            "get": {
                "description": "公共模块-获取系统信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "获取系统信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/comm/uploadFile": {
            "post": {
                "description": "公共模块-上传文件",
                "consumes": [
                    "multipart/form-data"
                ],
                "produces": [
                    "multipart/form-data"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "上传的文件",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/dataCenter/generate/data/detail": {
            "post": {
                "description": "数据中心-分成数据-详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "数据中心"
                ],
                "summary": "分成数据-详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterGenerateDataCommReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容 ",
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterGenerateDataDetailData"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/dataCenter/generate/data/list": {
            "post": {
                "description": "数据中心-分成数据-列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "数据中心"
                ],
                "summary": "分成数据-列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterGenerateDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容 这是data里面的数据",
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterGenerateDataRes"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/dataCenter/original/data/list": {
            "post": {
                "description": "数据中心-原始数据-列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "数据中心"
                ],
                "summary": "原始数据-列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterOriginalDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容 这是data里面的数据",
                        "schema": {
                            "$ref": "#/definitions/md.DataCenterOriginalDataRes"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/loginInfo": {
            "get": {
                "description": "登录信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "登录信息",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginInfoResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/addAdmin": {
            "post": {
                "description": "权限管理-新增管理员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "新增管理员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddAdminReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/addRole": {
            "post": {
                "description": "权限管理-添加角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "添加角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddRoleReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/adminInfo": {
            "get": {
                "description": "权限管理-管理员信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "管理员信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "管理员id",
                        "name": "adm_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/adminList": {
            "post": {
                "description": "权限管理-管理员列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "管理员列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdminListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/bindAdminRole/": {
            "post": {
                "description": "权限管理-管理员绑定角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "管理员绑定角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BindAdminRoleReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/deleteAdmin/{$adm_id}": {
            "delete": {
                "description": "权限管理-删除管理员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "删除管理员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/deleteRole/{$id}": {
            "delete": {
                "description": "权限管理-删除角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "删除角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateRoleStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/permissionGroupList": {
            "get": {
                "description": "权限管理-权限组列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "权限组列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "管理员id",
                        "name": "adm_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/roleBindPermissionGroup": {
            "post": {
                "description": "权限管理-角色绑定权限组",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "角色绑定权限组",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RoleBindPermissionGroupReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/roleList": {
            "get": {
                "description": "权限管理-角色列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "角色列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateAdmin": {
            "post": {
                "description": "权限管理-修改管理员信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "修改管理员信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateAdminReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateAdminState": {
            "post": {
                "description": "权限管理-修改管理员状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "修改管理员状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateAdminStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateRole": {
            "post": {
                "description": "权限管理-修改角色状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "权限管理"
                ],
                "summary": "修改角色状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateRoleStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/setCenter/basicGet": {
            "get": {
                "description": "基础设置-获取",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设置中心-基础设置"
                ],
                "summary": "基础设置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/setCenter/basicSet": {
            "post": {
                "description": "基础设置-设置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "设置中心-基础设置"
                ],
                "summary": "基础设置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BasicSetReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/smsCenter/detail": {
            "post": {
                "description": "短信中心-详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信中心"
                ],
                "summary": "详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容 这是data里面的数据",
                        "schema": {
                            "$ref": "#/definitions/md.SmsDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/smsCenter/list": {
            "post": {
                "description": "短信中心-列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信中心"
                ],
                "summary": "列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容 这是data里面的数据",
                        "schema": {
                            "$ref": "#/definitions/md.SmsListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/smsCenter/update": {
            "post": {
                "description": "短信中心-修改",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信中心"
                ],
                "summary": "修改",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "md.AddAdminReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.AddRoleReq": {
            "type": "object",
            "required": [
                "memo",
                "name"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "md.AdminListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.BasicSetReq": {
            "type": "object",
            "required": [
                "app_logo",
                "app_name"
            ],
            "properties": {
                "app_logo": {
                    "type": "string",
                    "example": "项目logo"
                },
                "app_name": {
                    "type": "string",
                    "example": "项目名称"
                }
            }
        },
        "md.BindAdminRoleReq": {
            "type": "object",
            "required": [
                "adm_id"
            ],
            "properties": {
                "adm_id": {
                    "type": "integer"
                },
                "role_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "md.DataCenterGenerateDataCommReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string",
                    "example": "列表id"
                }
            }
        },
        "md.DataCenterGenerateDataData": {
            "type": "object",
            "properties": {
                "adv_name": {
                    "type": "string",
                    "example": "广告位"
                },
                "agent_revenue": {
                    "type": "string",
                    "example": "代理收益(元)"
                },
                "agreement_sharing": {
                    "type": "string",
                    "example": "协议分成(元)"
                },
                "agreement_sharing_total": {
                    "type": "string",
                    "example": "协议总分成(元)"
                },
                "click_count": {
                    "type": "string",
                    "example": "现-点击量"
                },
                "click_rate": {
                    "type": "string",
                    "example": "现-点击率"
                },
                "commission_retention": {
                    "type": "string",
                    "example": "佣金留存(元)"
                },
                "date": {
                    "type": "string",
                    "example": "日期"
                },
                "ecpm": {
                    "type": "string",
                    "example": "'现-ecpm(元)"
                },
                "exposure_count": {
                    "type": "string",
                    "example": "现-曝光量"
                },
                "extra_revenue": {
                    "type": "string",
                    "example": "额外收益(元)"
                },
                "id": {
                    "type": "string",
                    "example": "id"
                },
                "is_generate_report": {
                    "type": "string",
                    "example": "是否已生成报表(0:未 1:已)"
                },
                "media_revenue": {
                    "type": "string",
                    "example": "媒体收益(元)"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "old_click_count": {
                    "type": "string",
                    "example": "原-点击量"
                },
                "old_click_rate": {
                    "type": "string",
                    "example": "原-点击率"
                },
                "old_ecpm": {
                    "type": "string",
                    "example": "'原-ecpm(元)"
                },
                "old_exposure_count": {
                    "type": "string",
                    "example": "原-曝光量"
                },
                "platform": {
                    "type": "string",
                    "example": "平台名称"
                },
                "platform_retention": {
                    "type": "string",
                    "example": "平台留存(元)"
                },
                "price_adjustment_retention": {
                    "type": "string",
                    "example": "调价留存(元)"
                },
                "state": {
                    "type": "string",
                    "example": "状态id"
                }
            }
        },
        "md.DataCenterGenerateDataDetailAgentReward": {
            "type": "object",
            "properties": {
                "account": {
                    "type": "string"
                },
                "agent_revenue": {
                    "type": "string",
                    "example": "代理收益(元)"
                },
                "agent_revenue_rate": {
                    "type": "string",
                    "example": "代理收益百分比"
                },
                "extra_revenue": {
                    "type": "string",
                    "example": "额外收益(元)"
                },
                "extra_revenue_rate": {
                    "type": "string",
                    "example": "'额外收益百分比"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "md.DataCenterGenerateDataDetailData": {
            "type": "object",
            "properties": {
                "agent_revenue_rate": {
                    "type": "string",
                    "example": "代理收益百分比"
                },
                "agent_reward": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.DataCenterGenerateDataDetailAgentReward"
                    }
                },
                "agreement_sharing_rate": {
                    "type": "string",
                    "example": "协议分成百分比"
                },
                "commission_retention_rate": {
                    "type": "string",
                    "example": "佣金留存百分比"
                },
                "create_at": {
                    "type": "string"
                },
                "extra_revenue_rate": {
                    "type": "string",
                    "example": "额外收益百分比"
                },
                "media_revenue_rate": {
                    "type": "string",
                    "example": "媒体收益百分比"
                },
                "platform_retention_rate": {
                    "type": "string",
                    "example": "平台留存百分比"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.DataCenterGenerateDataReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "type": "string"
                },
                "limit": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "start_time": {
                    "type": "string"
                },
                "state": {
                    "type": "string"
                }
            }
        },
        "md.DataCenterGenerateDataRes": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.DataCenterGenerateDataData"
                    }
                },
                "platform": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SelectData"
                    }
                },
                "state": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SelectData"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.DataCenterOriginalDataData": {
            "type": "object",
            "properties": {
                "adv_name": {
                    "type": "string",
                    "example": "广告位"
                },
                "click_count": {
                    "type": "string",
                    "example": "点击量"
                },
                "click_rate": {
                    "type": "string",
                    "example": "点击率"
                },
                "date": {
                    "type": "string",
                    "example": "日期"
                },
                "ecpm": {
                    "type": "string",
                    "example": "'ecpm(元)"
                },
                "exposure_count": {
                    "type": "string",
                    "example": "曝光量"
                },
                "exposure_rate": {
                    "type": "string",
                    "example": "曝光率"
                },
                "id": {
                    "type": "string",
                    "example": "id"
                },
                "is_apply": {
                    "type": "string",
                    "example": "是否已应用"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "platform": {
                    "type": "string",
                    "example": "平台名称"
                },
                "publisher_income": {
                    "type": "string",
                    "example": "总收益(元)"
                },
                "req_succ_count": {
                    "type": "string",
                    "example": "拉取量"
                },
                "state": {
                    "type": "string",
                    "example": "状态id"
                }
            }
        },
        "md.DataCenterOriginalDataReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "type": "string"
                },
                "limit": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "start_time": {
                    "type": "string"
                },
                "state": {
                    "type": "string"
                }
            }
        },
        "md.DataCenterOriginalDataRes": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.DataCenterOriginalDataData"
                    }
                },
                "platform": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SelectData"
                    }
                },
                "state": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SelectData"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.LoginInfoResponse": {
            "type": "object",
            "properties": {
                "adm_id": {
                    "description": "管理员id",
                    "type": "integer"
                },
                "create_at": {
                    "type": "string"
                },
                "is_super_administrator": {
                    "description": "是否为超级管理员(0:否 1:是)",
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注信息"
                },
                "update_at": {
                    "type": "string"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.RoleBindPermissionGroupReq": {
            "type": "object",
            "required": [
                "role_id"
            ],
            "properties": {
                "permission_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "role_id": {
                    "type": "integer"
                }
            }
        },
        "md.SelectData": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "value": {
                    "type": "string",
                    "example": "值"
                }
            }
        },
        "md.SmsDetail": {
            "type": "object",
            "properties": {
                "create_at": {
                    "type": "string",
                    "example": "创建时间"
                },
                "id": {
                    "type": "integer"
                },
                "phone": {
                    "type": "string",
                    "example": "接收号码"
                },
                "state_zh": {
                    "type": "string",
                    "example": "发送状态"
                }
            }
        },
        "md.SmsDetailReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "uuid": {
                    "type": "string",
                    "example": "站长ID"
                }
            }
        },
        "md.SmsDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SmsDetail"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.SmsList": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string",
                    "example": "站长名称"
                },
                "num": {
                    "description": "短信条数",
                    "type": "integer"
                },
                "uuid": {
                    "type": "string",
                    "example": "站长ID"
                }
            }
        },
        "md.SmsListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "站长名称"
                },
                "page": {
                    "type": "integer"
                },
                "uuid": {
                    "type": "string",
                    "example": "站长ID"
                }
            }
        },
        "md.SmsListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SmsList"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateAdminReq": {
            "type": "object",
            "required": [
                "adm_id",
                "password",
                "username"
            ],
            "properties": {
                "adm_id": {
                    "type": "integer"
                },
                "memo": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.UpdateAdminStateReq": {
            "type": "object",
            "required": [
                "adm_id",
                "state"
            ],
            "properties": {
                "adm_id": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateRoleReq": {
            "type": "object",
            "required": [
                "memo",
                "name",
                "role_id"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "role_id": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateRoleStateReq": {
            "type": "object",
            "required": [
                "role_id",
                "state"
            ],
            "properties": {
                "role_id": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "MasterID": {
            "type": "apiKey",
            "name": "MasterID",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:1001 or advertisement.dengbiao.top",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "广告联盟-总站长平台",
	Description:      "总站长后台接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
